/* --------------------------------------------------------
 Generated by Gunandi using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Gunandi (andri.gunandi1@gmail.com) 
 Date Created : 22/05/2019
 --------------------------------------------------------
*/
package com.portofolio.controller;

import java.util.List;
import  java.util.Map;

import  javax.servlet.http.HttpServletRequest;
import  javax.validation.Valid;

import  org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import  org.springframework.web.bind.annotation.DeleteMapping;
import  org.springframework.web.bind.annotation.GetMapping;
import  org.springframework.web.bind.annotation.PathVariable;
import  org.springframework.web.bind.annotation.PostMapping;
import  org.springframework.web.bind.annotation.PutMapping;
import  org.springframework.web.bind.annotation.RequestBody;
import  org.springframework.web.bind.annotation.RequestMapping;
import  org.springframework.web.bind.annotation.RequestParam;
import  org.springframework.web.bind.annotation.RestController;

import com.portofolio.base.LocaleController;
import com.portofolio.dto.DataMapModulAplikasiToObjekModulDto;
import com.portofolio.service.MapModulAplikasiToObjekModulService;
import com.portofolio.util.RestUtil;

import  io.swagger.annotations.ApiOperation;


@SuppressWarnings("rawtypes")
@RestController
@RequestMapping("/mapModulAplikasiToObjekModul")
public class MapModulAplikasiToObjekModulController extends LocaleController {
    @Autowired
    private MapModulAplikasiToObjekModulService mapModulAplikasiToObjekModulService;
    
    
    @ApiOperation("Api Untuk Update MapModulAplikasiToObjekModul")
    @PostMapping("/saveOrUpdate/")
    public ResponseEntity<Map<String, Object>> saveOrUpdate(@Valid @RequestBody DataMapModulAplikasiToObjekModulDto entity, HttpServletRequest request) {
        Map<String, Object> result = mapModulAplikasiToObjekModulService.saveOrUpdate(entity);
        return RestUtil.getJsonResponse(result);
    }
    
	@ApiOperation("Api Untuk Menampilkan objek modul aplikasi tree")
	@GetMapping("/treeObjekModulAplikasi")
	public ResponseEntity<Map<String, Object>> treeObjekModulAplikasi(
			@RequestParam(value = "kdModulAplikasi" ,required = true) String kdModulAplikasi,
			@RequestParam(value = "kdVersion", required = true) Integer kdVersion,
			@RequestParam(value = "namaObjekModulAplikasi", required = false) String namaObjekModulAplikasi
			) {
		Map<String, Object> result = mapModulAplikasiToObjekModulService.treeObjekModulAplikasi(kdModulAplikasi,kdVersion,namaObjekModulAplikasi);
		return RestUtil.getJsonResponse(result);
	}
	

}
